Show profile metrics
curl --request GET \
--url https://api.publishbuddy.com/v1/profiles/{profile}/metrics \
--header 'Authorization: <authorization>'import requests
url = "https://api.publishbuddy.com/v1/profiles/{profile}/metrics"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.publishbuddy.com/v1/profiles/{profile}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"new_followers": "<string>",
"likes": "<string>",
"reach": "<string>",
"engagements": "<string>",
"published_posts": "<string>",
"new_followers_compare": "<string>",
"likes_compare": "<string>",
"reach_compare": "<string>",
"engagements_compare": "<string>",
"published_posts_compare": "<string>",
"graphs": {
"gender": "<string>",
"age": "<string>",
"page_fans_country": "<string>",
"page_fans_city": "<string>",
"followers": "<string>",
"likes": "<string>",
"post_engagement": "<string>",
"post_reach": "<string>",
"link_clicks": "<string>",
"video_views": "<string>",
"posts": "<string>"
},
"best_time_to_post": [
{
"weekDay": 123,
"hour": 123,
"score": 123
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Analytics
Show profile metrics
GET
/
profiles
/
{profile}
/
metrics
Show profile metrics
Headers
JWT token.
Path Parameters
The profile UUID
Query Parameters
Aggregation timeframe, e.g. last_7_days, last_30_days, this_month.
Available options:
last_14_days, last_7_days, last_30_days, last_90_days, prev_month, this_month, this_week, for_all_time Response
ProfileMetricsResource
Show child attributes
Show child attributes